System 2.0.0.0 4.0.0.0 System.Object System.ComponentModel.Design.IDesignerOptionService

The class provides a collection of options. Each of these option collections has an indexer that enables it to be further filtered. Each option collection contains its own set of options, as well as a rollup of all of its child options. In the event of a naming conflict between properties, the outermost options object takes precedence. The following Tools | Options user interface (UI) structure shows how the outermost options object takes on greater importance:

WindowsFormsDesigner | General

SnapToGrid

ShowGrid

GridSize

Given a named service, to get to the value of the property, you would make the following call:

code reference: IDesignerOptionServiceExample#2

This works, until you want to move to another page. Also, provides no discovery mechanism. If you do not know what string to pass in, the service cannot find the property value.

The class addresses these issues. You can query collections, and there is a type converter defined on the object that marks the collection as expandable. With this type converter, you can pass the entire designer option service to a property window and visually inspect the service.

Provides a base class for getting and setting option values for a designer.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.DesignerOptionService+DesignerOptionCollection `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Design.DesignerOptionService+DesignerOptionCollection To be added.

  There is always a global options collection that contains child collections.

  Gets the options collection for this service.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Object `` `` To be added.

  Gets the value of an option defined in this package.

  The value of the option named .

  The page to which the option is bound. The name of the option value.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added.

  Sets the value of an option defined in this package.

  The page to which the option is bound The name of the option value. The value of the option.